Subject: [Simple] common-policy/presence-policy/presence-policy expansive transformation

From: "Thomson, Martin" <[email-masked]>
Date: Wed, 22 Apr 2009 20:08:47 -0500

As far as I can determine, two things are not possible with common-policy and it's progeny:

 - It's not possible to remove PIDF elements: basic status, tuple, timestamp, and so on.

 - It's not possible to permit access to presence of any type, each type of data must be explicitly permitted.

Of course, this is all based on the text in Section 3.3.2 of RFC 5025 - the only text on the subject that I can find - and a little inference.

Was this a conscious decision or just an oversight? If this was intentional, why?

On the first, this prevents the use of a generic presence agent for the distribution of a single type of presence information.  If, for sake of argument, I want to distribute my location only, I can't use a PA that knows my basic status, because it will send this to watchers regardless of my policy.

On the second, this prevents the use of presence extensions that the PA either doesn't understand or where there are no matching <provide-...> elements defined.  As I understand, the PA is obliged to remove extensions in this case.  Of course, I can't find anything that addresses this issue directly.  
 
(I've commented previously about the associated cost of building a system that relies on defining custom elements like those presence-policy and presence-capabilities rely upon, this is one such cost.)

Would it be useful if I wrote a draft explaining the problem and describing extensions to presence-policy/common-policy that removed the restrictions?

--Martin

p.s. Out of interest's sake more than anything, are there many/any implementations of these specifications?

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]